Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 457325 (eboard-review) - Review Request: eboard - Chess board interface for ICS
Summary: Review Request: eboard - Chess board interface for ICS
Keywords:
Status: CLOSED RAWHIDE
Alias: eboard-review
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: http://www.bergo.eng.br/eboard/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-30 22:26 UTC by Marek Mahut
Modified: 2009-01-08 15:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-08 15:12:10 UTC
Type: ---
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marek Mahut 2008-07-30 22:26:26 UTC
Spec URL: http://mmahut.fedorapeople.org/reviews/eboard/eboard.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/eboard/eboard-1.1.1-1.fc8.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=748976
Description: Eboard provides a chess board interface to ICS (Internet Chess Servers)
like FICS and to chess engines like GNU Chess, Sjeng and Crafty.

Comment 1 Marek Mahut 2008-07-30 22:27:38 UTC
- Upstream does not ship any desktop file, feature request for this has been opened.

 https://sourceforge.net/tracker/?func=detail&atid=361164&aid=2033187&group_id=11164

Comment 2 Lubomir Rintel 2008-08-08 16:14:22 UTC
Thanks for the package marek.

Compiles fine in mock.
Have tested basic functionality.
Using proper make flags (see 2. for compiler flags)
The file list is (mostly, see 0.) sane.
Provides are sane (see 3. for a note on requires).
The SPEC file seems pretty straightforward, legible and very sane.

0.) RPMLint:

eboard.i386: W: devel-file-in-non-devel-package /usr/bin/eboard-config
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

Actually this is a false positive. eboard-config is not a pkg-config script. You may still consider if it's appropriate to include it in the pacakge, though creating a subpackage just for it is definitely not reasonable.

1.) Please do not use %configure

Your ./configure is not autoconf. It doesn't understand the flags you pass to it.

2.) Proper compiler flags are not used

Please ensure that you pass %optflags to the C++ compiler.
This is closely related to 1.)

3.) Useless requires:

Requires:	gtk2
Requires:	pango
Requires:	cairo
Requires:	libpng >= 1.2

These are pulled in by the library dependencies generated by autoreq script. No need to duplicate those.

Comment 3 Jason Tibbitts 2008-08-09 14:29:19 UTC
I think the cvs flag was set instead of the review flag.

Comment 5 Lubomir Rintel 2008-12-20 16:10:08 UTC
Seems fine now, thanks.

APPROVED

Comment 6 Marek Mahut 2008-12-21 11:33:05 UTC
New Package CVS Request
=======================
Package Name: eboard
Short Description: Chess board interface for ICS
Owners: mmahut
Branches: EL-5 F-9 F-10

Comment 7 Kevin Fenzi 2008-12-23 02:40:14 UTC
cvs done.

Comment 8 Lubomir Rintel 2009-01-07 22:18:02 UTC
Marek please import and build this


Note You need to log in before you can comment on or make changes to this bug.